
%define		module	log4py

Summary:	Python logging module
Summary(pl.UTF-8):	Moduły Pythona do obsługi logowania zdarzeń
Name:		python-%{module}
Version:	1.3
Release:	10
License:	MIT
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/log4py/%{module}-%{version}.tar.gz
# Source0-md5:	dc250a8a899c7e70464d683dfc3bdc4f
URL:		http://www.its4you.at/log4py.php
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Log4Py is a Python logging module similar to log4j. It supports
logging to files or to stdout/stderr, variable log-levels,
configurable output formats and configuration via configuration files.

%description -l pl.UTF-8
Log4Py jest modułem języka Python, podobnym do log4j. Moduł umożliwia
logowanie zdarzeń do plików, na standardowe wyjście oraz standardowe
wyjście błędów, tworzenie różnych poziomów logowania, konfigurowanie
wyświetlanych informacji oraz konfigurację za pomocą plików
konfiguracyjnych.

%prep
%setup -q -n %{module}-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitescriptdir}
export PYTHONPATH

%py_install
find $RPM_BUILD_ROOT%{py_sitescriptdir} -type f -name "*.py" | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/{ChangeLog,AUTHORS,LICENSE} readme.txt log4py.conf doc/html
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-log4py.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 24f2777
- release 10 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8f0540a
- automatic change: use py_build/py_install macros

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> a4ab06e
- release 9

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 85aeed4
- release 8

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4590511
- release 7

* Tue Sep 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 6e764bf
- python 2.5 for .egg-info
- BR: rpm-pythonprov

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 77026d8
- rel 6
- proper dir

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 1b64ad1
- rel 5
- package .egg-info

* Tue Sep 04 2007 Jan Rękorajski <baggins@pld-linux.org> 5498f82
- rel 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a042fe6
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b4b3768
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 855c762
- mass commit: remove obsolete BR: rpm-pythonprov

* Sat Dec 25 2004 saq <saq@pld-linux.org> a072458
- release 3 for rebuild with python 2.4

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 5a534bb
- removed %%include /usr/lib/rpm/macros.python

* Mon Jan 19 2004 Jacek Konieczny <jajcus@pld-linux.org> b82ccfa
- Release: 2
- new architecture-independent python modules paths

* Mon Nov 03 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> 218f871
- updated to 1.3

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 5e8f3df
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 326d483
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Mar 10 2003 Jakub Bogusz <qboosh@pld-linux.org> ba27964
- working Source URL

* Sat Nov 30 2002 juandon <witekfl@pld-linux.org> 7253398
- new %%doc

